<detalle-cliente *ngIf="facturaSeleccionado" [cliente] ="facturaSeleccionado"></detalle-cliente>

<div class="card border-primary mb-3">
  <div class="card-header"><h5 class="card-title text-primary">Estado de Pedidos </h5></div>
  <p>   &nbsp;&nbsp;  Obs: vista de pedidos listos para entrega </p>

  <div class="card-body text-primary">
    <h5 class="card-title">Pedidos en Proceso</h5>
    
    <!--h4 class="card-title">
      <a [routerLink]="['/clientes']" class="btn btn-light btn-xs">&laquo; volver</a>
    </h4>

    <ul class="list-group my-2">
      <li class="list-group-item list-group-item-primary">Datos del cliente</li>
      <li class="list-group-item">{{factura.cliente.nombre}}</li>
      <li class="list-group-item">{{factura.cliente.apellido}}</li>
    </ul>

    <ul class="list-group my-2">
      <li class="list-group-item list-group-item-primary">Datos de l</li>
      <li class="list-group-item">Folio: {{factura.id}}</li>
      <li class="list-group-item">Descripción: {{factura.descripcion}}</li>
      <li class="list-group-item">Fecha: {{factura.createAt}}</li>
    </ul-->
    <div *ngIf="facturas?.length == 0" class="alert alert-info">
      No hay registros en la base de datos!
    </div>
    <table class="table table-striped table-hover table-bordered my-3" *ngIf="itemFactura?.length>0">
      <thead>
        <tr>
          <th>Nro Ticket</th>
          <th>Ver Ticket</th>
          <th>Item</th>
          <th>Cliente</th>
          <th>Modo de Retiro</th>

          <th>Producto</th>
          <th>Cantidad</th>
          <th>Estado</th>
          <th class= "row">Actualizar</th>


        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let item of itemFactura">
          <td *ngIf=" item.estado=='listo'  && item.producto.tipo!='almacen'" style="background-color:rgb(55, 223, 120); color:#FFF" >{{item.facturaId}}</td>
          <td *ngIf=" item.estado=='listo'  && item.producto.tipo!='almacen'" style="background-color:rgb(55, 223, 120); color:#FFF">

            <button class="btn btn-primary btn-sm" type="button"
                    [routerLink]="['/facturas', item.facturaId]">ver</button>
            </td>
          <td *ngIf=" item.estado=='listo' && item.producto.tipo!='almacen'"  style="background-color:rgb(55, 223, 120); color:#FFF" >{{item.id}}</td>

          <td *ngIf=" item.estado=='listo' && item.producto.tipo!='almacen'"  style="background-color:rgb(55, 223, 120); color:#FFF" >{{item.nombre}}</td>
          <td *ngIf=" item.estado=='listo' && item.producto.tipo!='almacen'"  style="background-color:rgb(55, 223, 120); color:#FFF" >{{item.descripcion}}</td>

          <td *ngIf=" item.estado=='listo' && item.producto.tipo!='almacen'"  style="background-color:rgb(55, 223, 120); color:#FFF" >{{item.producto.nombre}}</td>
          <td *ngIf=" item.estado=='listo' && item.producto.tipo!='almacen'"  style="background-color:rgb(55, 223, 120); color:#FFF" >{{item.cantidad}}</td>

          <td *ngIf=" item.estado=='listo' && item.producto.tipo!='almacen'"  style="background-color:rgb(55, 223, 120); color:#FFF" ><strong>{{item.estado.toUpperCase()}}</strong></td>
          <td  *ngIf=" item.estado=='listo' && item.producto.tipo!='almacen'"  style="background-color:rgb(55, 223, 120); color:#FFF">
            <button   type="button" name="Entregado" class="btn btn-primary btn-sm" (click)='entregar(item)'  [disabled]="item.estado=='pendiente'" >Entregar</button>
            <button  [disabled]="item.estado=='listo'"  type="button" name="Entregado" class="btn btn-primary btn-sm" (click)='entregar(item)'  style="color: #fff;background-color: #e249c1;border-color: #e249c1;">Notificar</button>

          
          </td>


          <td *ngIf=" item.estado=='pendiente' && item.producto.tipo!='almacen'"  style="background-color:yellow" >{{item.facturaId}}</td>
          <td *ngIf=" item.estado=='pendiente' && item.producto.tipo!='almacen'"  style="background-color:yellow">

            <button class="btn btn-primary btn-sm" type="button"
                    [routerLink]="['/facturas', item.facturaId]">ver</button>
            </td>
          <td *ngIf=" item.estado=='pendiente' && item.producto.tipo!='almacen'"  style="background-color:yellow" >{{item.id}}</td>

          <td *ngIf=" item.estado=='pendiente' && item.producto.tipo!='almacen'"  style="background-color:yellow" >{{item.nombre}}</td>
          <td *ngIf=" item.estado=='pendiente' && item.producto.tipo!='almacen'" style="background-color:yellow" >{{item.descripcion}}</td>

          <td *ngIf=" item.estado=='pendiente' && item.producto.tipo!='almacen'"  style="background-color:yellow" >{{item.producto.nombre}}</td>
          <td *ngIf=" item.estado=='pendiente' && item.producto.tipo!='almacen'"  style="background-color:yellow" >{{item.cantidad}}</td>

          <td *ngIf=" item.estado=='pendiente' && item.producto.tipo!='almacen'"  style="background-color:yellow" >{{item.estado}}</td>
          <td *ngIf=" item.estado=='pendiente' && item.producto.tipo!='almacen'"  style="background-color:yellow" >
            <button type="button" name="Entregado" class="btn btn-primary btn-sm" (click)='entregar(item)'  [disabled]="item.estado=='pendiente'" >Entregar</button>
            <button disabled style="visibility:hidden " type="button" name="Entregado" class="btn btn-primary btn-sm" (click)='entregar(item)'  [disabled]="item.estado=='pendiente'" >Notificar</button>

          </td>

          <td *ngIf=" item.estado=='en proceso' && item.producto.tipo!='almacen'"  style="background-color:rgb(236, 108, 215)" >{{item.facturaId}}</td>
          <td *ngIf=" item.estado=='en proceso' && item.producto.tipo!='almacen'"  style="background-color:rgb(236, 108, 215)">

            <button class="btn btn-primary btn-sm" type="button"
                    [routerLink]="['/facturas', item.facturaId]">ver</button>
            </td>
          <td *ngIf=" item.estado=='en proceso' && item.producto.tipo!='almacen'"  style="background-color:rgb(236, 108, 215)" >{{item.id}}</td>

          <td *ngIf=" item.estado=='en proceso' && item.producto.tipo!='almacen'"  style="background-color:rgb(236, 108, 215)" >{{item.nombre}}</td>
          <td *ngIf=" item.estado=='en proceso' && item.producto.tipo!='almacen'"  style="background-color:rgb(236, 108, 215)"  >{{item.descripcion}}</td>

          <td *ngIf=" item.estado=='en proceso' && item.producto.tipo!='almacen'"  style="background-color:rgb(236, 108, 215)">{{item.producto.nombre}}</td>
          <td *ngIf=" item.estado=='en proceso' && item.producto.tipo!='almacen'"  style="background-color:rgb(236, 108, 215)" >{{item.cantidad}}</td>

          <td *ngIf=" item.estado=='en proceso' && item.producto.tipo!='almacen'"  style="background-color:rgb(236, 108, 215)" >{{item.estado}}</td>
          <td *ngIf=" item.estado=='en proceso' && item.producto.tipo!='almacen'"  style="background-color:rgb(236, 108, 215)" >
            <button type="button" name="Entregado" class="btn btn-primary btn-sm" (click)='entregar(item)'  [disabled]="item.estado=='pendiente'  || item.estado=='en proceso'" >Entregar</button>
            <button disabled style="visibility:hidden " type="button" name="Entregado" class="btn btn-primary btn-sm" (click)='entregar(item)'  [disabled]="item.estado=='pendiente'" >Notificar</button>

          </td>
        </tr>
      </tbody>
    </table>
    <!--h5 class="float-right">
      <span>Gran Total</span>: <span class="badge badge-secondary">{{factura.total}}</span>
    </h5-->

    <!--div class="card border-info mb-4" style="max-width: 350px;">
      <div class="card card-header">
        Observaciones
      </div>
      <div class="card card-body">
        <p *ngIf="!factura.observacion">No tiene observación</p>
        <p *ngIf="factura.observacion">{{factura.observacion}}</p>
      </div>

    </div-->
  </div>
</div>
